//==============================================================================
/**
 * @file    common.hpp
 * @brief   
 * @author  H.I.
 * @date    2008-11-14
 * @version $Id: common.hpp 37 2011-06-01 17:23:31Z blue $
 */
//==============================================================================


#ifndef HIL_COMMON_HPP
#define HIL_COMMON_HPP


//==============================================================================
// include
//==============================================================================
#include "base.hpp"
#include "type.hpp"
#include "static_assert.hpp"


HIL_BEGIN_NAMESPACE

//==============================================================================
// define
//==============================================================================
enum enSystem {
  SYSTEM_GL,    ///< OpenGL(Windows, Linux)
  SYSTEM_DX,    ///< DirectX(Windows)
  
  SYSTEM_TERM
};

#define ELEMENTSOF(n) (sizeof((n)) / sizeof((n)[0]))

HIL_END_NAMESPACE

#endif

