//==============================================================================
/**
 * @file    type.hpp
 * @brief   型宣言
 * @author  H.I.
 * @date    2008-11-14
 * @version $Id: type.hpp 4 2011-01-02 04:18:15Z blue $
 */
//==============================================================================


#ifndef HIL_TYPE_HPP
#define HIL_TYPE_HPP


//==============================================================================
// include
//==============================================================================
#include "base.hpp"


//==============================================================================
// define
//==============================================================================
HIL_BEGIN_NAMESPACE

typedef signed char   int8;
typedef unsigned char uint8;
typedef int8          sint8;

typedef signed short    int16;
typedef unsigned short  uint16;
typedef int16           sint16;

typedef signed long     int32;
typedef unsigned long   uint32;
typedef int32           sint32;


HIL_END_NAMESPACE

#endif

